#
# spec file for package xtem (Version 8.10)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  tcl tk
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl texinfo textutils timezone tk unzip util-linux vim

Name:         xtem
Copyright:    GPL
Group:        Applications/Publishing/TeX
Requires:     tk
Autoreqprov:  on
Version:      8.10
Release:      41
Summary:      A TeX menu system for the X Window System
Url:          http://www.iwd.uni-bremen.de/xtem/xtem_texmenu.html
Source:       xtem_texmenu.%{version}.tar.bz2
Patch:        xtem-%{version}.dif
BuildRoot:    /var/tmp/%{name}-build

%description
xtem is a TeX environment under X. This package is rather powerful and
offers a huge help and reference system which should help the TeX
novices. TeX administrators estimate this environment.
The authors of this package ask for feedback for continuing their work!

Authors:
--------
    G. Lamprecht
    W. Lotz
    R. Weibezahn <weibezahn@iwd.uni-bremen.de>

SuSE series: tex

%prep
%setup
%patch

%build
./xteminstall basic

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/usr/X11R6/lib/
cp -a  ../xtem-%{version} $RPM_BUILD_ROOT/usr/X11R6/lib/
(cd $RPM_BUILD_ROOT/usr/X11R6/lib && ln -sf xtem-%{version} xtem)
rm -rf $RPM_BUILD_ROOT/usr/X11R6/lib/xtem/{COPYING,Changelog,Installation.Reply,\
Installation.tex,README,README.Tcl-version,README.Upgrading,README.hyphen_show,\
SyntaxHelp_htx.tex,locals_english,locals_german}
install -d -m 755 $RPM_BUILD_ROOT/usr/X11R6/lib/xtem/locals_english
cp -a ../xtem_locals_english/* $RPM_BUILD_ROOT/usr/X11R6/lib/xtem/locals_english
chmod 644 $RPM_BUILD_ROOT/usr/X11R6/lib/xtem/locals_english/*
install -d -m 755 $RPM_BUILD_ROOT/usr/X11R6/lib/xtem/locals_german
cp -a ../xtem_locals_german/* $RPM_BUILD_ROOT/usr/X11R6/lib/xtem/locals_german
chmod 644 $RPM_BUILD_ROOT/usr/X11R6/lib/xtem/locals_german/*
install -d -m 755 $RPM_BUILD_ROOT/usr/X11R6/man/man1
mv $RPM_BUILD_ROOT/usr/X11R6/lib/xtem/*.1 $RPM_BUILD_ROOT/usr/X11R6/man/man1
install -d -m 755 $RPM_BUILD_ROOT/usr/X11R6/bin
cd $RPM_BUILD_ROOT/usr/X11R6/bin 
ln -sf ../lib/xtem/xtem .
ln -sf ../lib/xtem/changecode .
ln -sf ../lib/xtem/hyphen_show .
cd $RPM_BUILD_ROOT/usr/X11R6/lib/xtem-%{version}
mv xtem xtem.o
sed s:$RPM_BUILD_DIR:/usr/X11R6/lib: xtem.o > xtem
rm xtem.o
chmod a+x xtem
cd help_english/latex
mv Make_alphlist.tcl Make_alphlist.tcl.o
sed s:/usr/local/bin/wishx:/usr/bin/wish: Make_alphlist.tcl.o > Make_alphlist.tcl
rm Make_alphlist.tcl.o
cd ../../help_german/latex
mv Make_alphlist.tcl Make_alphlist.tcl.o
sed s:/usr/local/bin/wishx:/usr/bin/wish: Make_alphlist.tcl.o > Make_alphlist.tcl
rm Make_alphlist.tcl.o

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING Changelog Installation.Reply Installation.tex README README.Tcl-version
%doc README.Upgrading README.hyphen_show SyntaxHelp_htx.tex
/usr/X11R6/man/man1/*
/usr/X11R6/bin/*
/usr/X11R6/lib/xtem
/usr/X11R6/lib/xtem-%{version}

%changelog -n xtem
* Thu Aug 23 2001 - cihlar@suse.cz
- update to version 8.10 - fixed problems
  with language setings
* Thu Jun 28 2001 - cihlar@suse.cz
- removed tclx from Requires
* Tue Mar 13 2001 - cihlar@suse.cz
- update to version 8.00
* Fri Oct 27 2000 - cihlar@suse.cz
- upgrade to version 7.37
- fixed files permissions
- bzipped sources
* Fri May 19 2000 - cihlar@suse.cz
- upgrade to 7.31
* Thu Apr 27 2000 - cihlar@suse.cz
- upgrade to version 7.28
- added BuildRoot
* Fri Nov 05 1999 - max@suse.de
- changed wishx's path to /usr/lib.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jan 13 1998 - hf@suse.de
- new Version 6.18
* Thu Jan 08 1998 - hf@suse.de
- added link locals_german.LRW -> locals_german
* Mon Nov 24 1997 - ro@suse.de
- changed local/bin/wishx to X11R6/bin/wishx (in binary tar)
* Mon Nov 17 1997 - ro@suse.de
- changed headlines from help_{english,german}/latex/Make_alphlist.tcl
  to /usr/X11R6/bin/wishx in src and binary tar
* Tue Oct 14 1997 - hf@suse.de
  ready for autobuild
* Thu Aug 07 1997 - hf@suse.de
  new Version 6.04
- xtem is a interface to TeX/LaTeX
* Fri Aug 01 1997 - hf@suse.de
  added the symbolic link: /usr/lib/xtem to /usr/lib/xtem-6.04
